package com.faraphel.tasks_valider.database.entities

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import com.faraphel.tasks_valider.database.entities.base.BaseEntity
import com.google.gson.annotations.Expose

@Entity(tableName = SubjectEntity.TABLE_NAME)
data class SubjectEntity (
    @ColumnInfo("id") @PrimaryKey(autoGenerate = true) @Expose val id: Long = 0,
    @ColumnInfo("name") @Expose val name: String,
) : BaseEntity() {
    companion object {
        const val TABLE_NAME = "subjects"
    }
}
